# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2018-01-31 11:42
from __future__ import unicode_literals

from django.db import migrations


def create_initial_movie(apps, schema_editor):
    Movie = apps.get_model('catalog', 'Movie')
    Movie(name='The Wizard of Oz', director='Victor Fleming', imdb_score=8.3, popularity=83.0).save()
    Genre = apps.get_model('catalog', 'Genre')
    Genre(movie_id=1, category='adventure').save()
    Genre(movie_id=1, category='family').save()
    Genre(movie_id=1, category='fantasy').save()
    Genre(movie_id=1, category='musical').save()

class Migration(migrations.Migration):

    dependencies = [
        ('catalog', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(create_initial_movie),
    ]
